Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/SelectBundlesPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/SelectBundlesPanel.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/SelectBundlesPanel.java	(revision 43126)
@@ -3,29 +3,27 @@
  *
  * Copyright (C) 2007-2013 gvSIG Association.
  *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 3
- * of the License, or (at your option) any later version.
+ * This program is free software; you can redistribute it and/or modify it under
+ * the terms of the GNU General Public License as published by the Free Software
+ * Foundation; either version 3 of the License, or (at your option) any later
+ * version.
  *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+ * details.
  *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
- * MA  02110-1301, USA.
+ * You should have received a copy of the GNU General Public License along with
+ * this program; if not, write to the Free Software Foundation, Inc., 51
+ * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  *
- * For any additional information, do not hesitate to contact us
- * at info AT gvsig.com, or visit our website www.gvsig.com.
+ * For any additional information, do not hesitate to contact us at info AT
+ * gvsig.com, or visit our website www.gvsig.com.
  */
 /*
  * AUTHORS (In addition to CIT):
  * 2010 {Prodevelop}   {Task}
  */
-
 package org.gvsig.installer.swing.impl.execution.panel;
 
 import java.awt.BorderLayout;
@@ -46,248 +44,260 @@
 import javax.swing.JTextField;
 import javax.swing.event.DocumentEvent;
 import javax.swing.event.DocumentListener;
+import org.apache.commons.lang3.StringUtils;
 
 import org.gvsig.gui.beans.openfile.FileFilter;
 import org.gvsig.gui.beans.openfile.FileTextField;
 import org.gvsig.installer.swing.api.SwingInstallerLocator;
 import org.gvsig.installer.swing.api.SwingInstallerManager.UrlAndLabel;
 import org.gvsig.installer.swing.impl.DefaultSwingInstallerManager;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * @author <a href="mailto:jpiera@gvsig.org">Jorge Piera Llodr&aacute;</a>
  */
 public class SelectBundlesPanel extends JPanel implements ItemListener,
-		DocumentListener {
+        DocumentListener {
 
-	/**
-     * 
+    /**
+     *
      */
-	private static final long serialVersionUID = -6580729307001414868L;
-	protected DefaultSwingInstallerManager swingInstallerManager = null;
-	private JRadioButton fileRadioButton;
-	private ButtonGroup buttonGroup;
-	private JPanel northPanel;
-	private FileTextField selectFileText;
-	private JRadioButton standardRadioButton;
-	private JComboBox downloadURL;
-	private JRadioButton urlRadioButton;
-	private final List<UrlAndLabel> defaultDownloadURL;
+    protected static final Logger LOG = LoggerFactory.getLogger(SelectBundlesPanel.class);
+    private static final long serialVersionUID = -6580729307001414868L;
+    protected DefaultSwingInstallerManager swingInstallerManager = null;
+    private JRadioButton fileRadioButton;
+    private ButtonGroup buttonGroup;
+    private JPanel northPanel;
+    private FileTextField selectFileText;
+    private JRadioButton standardRadioButton;
+    private JComboBox downloadURL;
+    private JRadioButton urlRadioButton;
+    private final List<UrlAndLabel> defaultDownloadURL;
 
-	public SelectBundlesPanel(List<UrlAndLabel> defaultDownloadURL2, File installFolder) {
-		super();
-		this.defaultDownloadURL = defaultDownloadURL2;
-		swingInstallerManager = (DefaultSwingInstallerManager) SwingInstallerLocator
-				.getSwingInstallerManager();
-		initComponents();
-		initListeners();
-		
-		String[] files = installFolder.list();
-		
-		if (files!=null && files.length >0){
-			standardRadioButton.setSelected(true);
-			urlRadioButton.setSelected(false);	
-		} else {
-			urlRadioButton.setSelected(true);	
-			standardRadioButton.setEnabled(false);
-		}
-	}
+    public SelectBundlesPanel(List<UrlAndLabel> defaultDownloadURL2, File installFolder) {
+        super();
+        this.defaultDownloadURL = defaultDownloadURL2;
+        swingInstallerManager = (DefaultSwingInstallerManager) SwingInstallerLocator
+                .getSwingInstallerManager();
+        initComponents();
+        initListeners();
 
-	private void initListeners() {
-		standardRadioButton.addItemListener(this);
-		fileRadioButton.addItemListener(this);
-		urlRadioButton.addItemListener(this);
-		Object obj = selectFileText.getComponent(0);
-		if ((obj != null) && (obj instanceof JTextField)) {
-			((JTextField) obj).getDocument().addDocumentListener(this);
-		}
-	}
+        String[] files = installFolder.list();
 
-	private void initComponents() {
-		java.awt.GridBagConstraints gridBagConstraints;
+        if (files != null && files.length > 0) {
+            standardRadioButton.setSelected(true);
+            urlRadioButton.setSelected(false);
+        } else {
+            urlRadioButton.setSelected(true);
+            standardRadioButton.setEnabled(false);
+        }
+    }
 
-		northPanel = new JPanel();
-		standardRadioButton = new JRadioButton();
-		fileRadioButton = new JRadioButton();
-		urlRadioButton = new JRadioButton();
-		selectFileText = new FileTextField();
-		selectFileText.setFileFilter(new FileFilter() {
+    private void initListeners() {
+        standardRadioButton.addItemListener(this);
+        fileRadioButton.addItemListener(this);
+        urlRadioButton.addItemListener(this);
+        Object obj = selectFileText.getComponent(0);
+        if ((obj != null) && (obj instanceof JTextField)) {
+            ((JTextField) obj).getDocument().addDocumentListener(this);
+        }
+    }
 
-			private String packageExt = swingInstallerManager
-					.getInstallerManager().getDefaultPackageFileExtension();
-			private String packageSetExt = swingInstallerManager
-					.getInstallerManager().getDefaultPackageSetFileExtension();
-			private String indexSetExt = swingInstallerManager
-					.getInstallerManager().getDefaultIndexSetFileExtension();
+    private void initComponents() {
+        java.awt.GridBagConstraints gridBagConstraints;
 
-			@Override
-			public String getDescription() {
-			    
-				return swingInstallerManager.getText(
-				    "_gvSIG_packages_and_packages_and_index_sets")
-				    + " (*." + packageExt + ", *." + packageSetExt
-				    + ", *." + indexSetExt + ")";
-			}
+        northPanel = new JPanel();
+        standardRadioButton = new JRadioButton();
+        fileRadioButton = new JRadioButton();
+        urlRadioButton = new JRadioButton();
+        selectFileText = new FileTextField();
+        selectFileText.setFileFilter(new FileFilter() {
 
-			@Override
-			public boolean accept(File file) {
-				if (file.isFile()) {
-					String name = file.getName().toLowerCase();
-					return name.endsWith(packageExt)
-							|| name.endsWith(packageSetExt)
-							|| name.endsWith(indexSetExt);
-				}
-				return true;
-			}
+            private String packageExt = swingInstallerManager
+                    .getInstallerManager().getDefaultPackageFileExtension();
+            private String packageSetExt = swingInstallerManager
+                    .getInstallerManager().getDefaultPackageSetFileExtension();
+            private String indexSetExt = swingInstallerManager
+                    .getInstallerManager().getDefaultIndexSetFileExtension();
 
-			@Override
-			public String getDefaultExtension() {
-				return packageSetExt;
-			}
-		});
+            @Override
+            public String getDescription() {
 
-		downloadURL = new JComboBox();
-		downloadURL.setEditable(true);
-		if (defaultDownloadURL != null) {
-			for (int i = 0; i < defaultDownloadURL.size(); i++) {
-				downloadURL.addItem(defaultDownloadURL.get(i));
-			}
-		}
+                return swingInstallerManager.getText(
+                        "_gvSIG_packages_and_packages_and_index_sets")
+                        + " (*." + packageExt + ", *." + packageSetExt
+                        + ", *." + indexSetExt + ")";
+            }
 
-		buttonGroup = new ButtonGroup();
+            @Override
+            public boolean accept(File file) {
+                if (file.isFile()) {
+                    String name = file.getName().toLowerCase();
+                    return name.endsWith(packageExt)
+                            || name.endsWith(packageSetExt)
+                            || name.endsWith(indexSetExt);
+                }
+                return true;
+            }
 
-		buttonGroup.add(standardRadioButton);
-		buttonGroup.add(fileRadioButton);
-		buttonGroup.add(urlRadioButton);
+            @Override
+            public String getDefaultExtension() {
+                return packageSetExt;
+            }
+        });
 
-		setLayout(new BorderLayout());
+        downloadURL = new JComboBox();
+        downloadURL.setEditable(true);
+        if (defaultDownloadURL != null) {
+            for (int i = 0; i < defaultDownloadURL.size(); i++) {
+                downloadURL.addItem(defaultDownloadURL.get(i));
+            }
+        }
 
-		northPanel.setLayout(new GridBagLayout());
+        buttonGroup = new ButtonGroup();
 
-		standardRadioButton.setText(swingInstallerManager
-				.getText("_standard_installation") +
-				" (" +
-				swingInstallerManager.getText("_install_addons_in_gvsig_standard_dist") +
-				")");
+        buttonGroup.add(standardRadioButton);
+        buttonGroup.add(fileRadioButton);
+        buttonGroup.add(urlRadioButton);
 
-		gridBagConstraints = new GridBagConstraints();
-		gridBagConstraints.anchor = GridBagConstraints.WEST;
-		gridBagConstraints.insets = new Insets(2, 2, 2, 2);
-		northPanel.add(standardRadioButton, gridBagConstraints);
+        setLayout(new BorderLayout());
 
-		fileRadioButton.setText(swingInstallerManager
-				.getText("_installation_from_file") +
-		             " (" +
-		             swingInstallerManager.getText("_install_addons_in_gvspki_or_gvspks_file") +
-		             ")");
+        northPanel.setLayout(new GridBagLayout());
 
-		gridBagConstraints = new GridBagConstraints();
-		gridBagConstraints.gridx = 0;
-		gridBagConstraints.gridy = 1;
-		gridBagConstraints.anchor = GridBagConstraints.WEST;
-		gridBagConstraints.insets = new Insets(2, 2, 2, 2);
-		northPanel.add(fileRadioButton, gridBagConstraints);
-		gridBagConstraints = new GridBagConstraints();
-		gridBagConstraints.gridx = 0;
-		gridBagConstraints.gridy = 2;
-		gridBagConstraints.fill = GridBagConstraints.HORIZONTAL;
-		gridBagConstraints.weightx = 1.0;
-		gridBagConstraints.insets = new Insets(2, 20, 2, 2);
-		northPanel.add(selectFileText, gridBagConstraints);
+        standardRadioButton.setText(swingInstallerManager
+                .getText("_standard_installation")
+                + " ("
+                + swingInstallerManager.getText("_install_addons_in_gvsig_standard_dist")
+                + ")");
 
-		urlRadioButton.setText(swingInstallerManager
-				.getText("_installation_from_url") +
-	             " (" +
-	             swingInstallerManager.getText("_install_addons_from_remote_repo") +
-	             ")");
-		
-		gridBagConstraints = new GridBagConstraints();
-		gridBagConstraints.gridx = 0;
-		gridBagConstraints.gridy = 3;
-		gridBagConstraints.anchor = GridBagConstraints.WEST;
-		gridBagConstraints.insets = new Insets(2, 2, 2, 2);
-		northPanel.add(urlRadioButton, gridBagConstraints);
-		gridBagConstraints = new GridBagConstraints();
-		gridBagConstraints.gridx = 0;
-		gridBagConstraints.gridy = 4;
-		gridBagConstraints.fill = GridBagConstraints.HORIZONTAL;
-		gridBagConstraints.weightx = 1.0;
-		gridBagConstraints.insets = new Insets(2, 20, 2, 2);
-		northPanel.add(downloadURL, gridBagConstraints);
+        gridBagConstraints = new GridBagConstraints();
+        gridBagConstraints.anchor = GridBagConstraints.WEST;
+        gridBagConstraints.insets = new Insets(2, 2, 2, 2);
+        northPanel.add(standardRadioButton, gridBagConstraints);
 
-		add(northPanel, java.awt.BorderLayout.NORTH);
-	}
+        fileRadioButton.setText(swingInstallerManager
+                .getText("_installation_from_file")
+                + " ("
+                + swingInstallerManager.getText("_install_addons_in_gvspki_or_gvspks_file")
+                + ")");
 
-	public void itemStateChanged(ItemEvent e) {
-		selectFileText.setEnabled(fileRadioButton.isSelected());
-		downloadURL.setEnabled(urlRadioButton.isSelected());
-		downloadURL.setEditable(urlRadioButton.isSelected());
-		checkNextButtonEnabled();
-	}
+        gridBagConstraints = new GridBagConstraints();
+        gridBagConstraints.gridx = 0;
+        gridBagConstraints.gridy = 1;
+        gridBagConstraints.anchor = GridBagConstraints.WEST;
+        gridBagConstraints.insets = new Insets(2, 2, 2, 2);
+        northPanel.add(fileRadioButton, gridBagConstraints);
+        gridBagConstraints = new GridBagConstraints();
+        gridBagConstraints.gridx = 0;
+        gridBagConstraints.gridy = 2;
+        gridBagConstraints.fill = GridBagConstraints.HORIZONTAL;
+        gridBagConstraints.weightx = 1.0;
+        gridBagConstraints.insets = new Insets(2, 20, 2, 2);
+        northPanel.add(selectFileText, gridBagConstraints);
 
-	protected File getSelectedFile() {
-		return selectFileText.getSelectedFile();
-	}
+        urlRadioButton.setText(swingInstallerManager
+                .getText("_installation_from_url")
+                + " ("
+                + swingInstallerManager.getText("_install_addons_from_remote_repo")
+                + ")");
 
-	protected URL getSelectedURL() throws MalformedURLException {
-		Object value = downloadURL.getSelectedItem();
-		if( value instanceof UrlAndLabel) {
-			// clicked fron the combo
-			return ((UrlAndLabel)value).getURL();
-		} else {
-			// String entered in the text field
-			return new URL(value.toString());
-		}
+        gridBagConstraints = new GridBagConstraints();
+        gridBagConstraints.gridx = 0;
+        gridBagConstraints.gridy = 3;
+        gridBagConstraints.anchor = GridBagConstraints.WEST;
+        gridBagConstraints.insets = new Insets(2, 2, 2, 2);
+        northPanel.add(urlRadioButton, gridBagConstraints);
+        gridBagConstraints = new GridBagConstraints();
+        gridBagConstraints.gridx = 0;
+        gridBagConstraints.gridy = 4;
+        gridBagConstraints.fill = GridBagConstraints.HORIZONTAL;
+        gridBagConstraints.weightx = 1.0;
+        gridBagConstraints.insets = new Insets(2, 20, 2, 2);
+        northPanel.add(downloadURL, gridBagConstraints);
 
-	}
+        add(northPanel, java.awt.BorderLayout.NORTH);
+    }
 
-	protected boolean isStandardSelected() {
-		return standardRadioButton.isSelected();
-	}
+    public void itemStateChanged(ItemEvent e) {
+        selectFileText.setEnabled(fileRadioButton.isSelected());
+        downloadURL.setEnabled(urlRadioButton.isSelected());
+        downloadURL.setEditable(urlRadioButton.isSelected());
+        checkNextButtonEnabled();
+    }
 
-	protected boolean isFileSelected() {
-		return fileRadioButton.isSelected();
-	}
+    public File getSelectedFile() {
+        return selectFileText.getSelectedFile();
+    }
 
-	protected boolean isURLSelected() {
-		return urlRadioButton.isSelected();
-	}
+    public URL getSelectedURL()  {
+        
+        Object value = downloadURL.getSelectedItem();
+        if (value instanceof UrlAndLabel) {
+            // clicked fron the combo
+            return ((UrlAndLabel) value).getURL();
+        }
+        // String entered in the text field
+        if( value == null ) {
+            return null;
+        }
+        if( StringUtils.isEmpty(value.toString()) ) {
+            return null;
+        } 
+        try {
+            return new URL(value.toString());
+        } catch(Exception ex) {
+            LOG.warn("The entered url are not valid");
+            return null;
+        }
+    }
 
-	protected boolean isNextButtonEnabled() {
-		if (isStandardSelected()) {
-			return true;
-		}
-		if (isFileSelected()) {
-			File file = selectFileText.getSelectedFile();
-			if (file == null) {
-				return false;
-			}
-			return file.exists();
-		}
-		if (isURLSelected()) {
-			try {
-				getSelectedURL();
-				return true;
-			} catch (MalformedURLException e) {
-				return false;
-			}
-		}
-		return false;
-	}
+    public boolean isStandardSelected() {
+        return standardRadioButton.isSelected();
+    }
 
-	protected void checkNextButtonEnabled() {
+    public boolean isFileSelected() {
+        return fileRadioButton.isSelected();
+    }
 
-	}
+    public boolean isURLSelected() {
+        return urlRadioButton.isSelected();
+    }
 
-	public void changedUpdate(DocumentEvent e) {
-		checkNextButtonEnabled();
-	}
+    protected boolean isNextButtonEnabled() {
+        if (isStandardSelected()) {
+            return true;
+        }
+        if (isFileSelected()) {
+            File file = selectFileText.getSelectedFile();
+            if (file == null) {
+                return false;
+            }
+            return file.exists();
+        }
+        if (isURLSelected()) {
+            return getSelectedURL() != null;
+        }
+        return false;
+    }
 
-	public void insertUpdate(DocumentEvent e) {
-		checkNextButtonEnabled();
-	}
+    protected void checkNextButtonEnabled() {
 
-	public void removeUpdate(DocumentEvent e) {
-		checkNextButtonEnabled();
-	}
+    }
 
+    @Override
+    public void changedUpdate(DocumentEvent e) {
+        checkNextButtonEnabled();
+    }
+
+    @Override
+    public void insertUpdate(DocumentEvent e) {
+        checkNextButtonEnabled();
+    }
+
+    @Override
+    public void removeUpdate(DocumentEvent e) {
+        checkNextButtonEnabled();
+    }
+
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/PackagePropertiesFilterPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/PackagePropertiesFilterPanel.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/PackagePropertiesFilterPanel.java	(revision 43126)
@@ -44,7 +44,7 @@
 import org.gvsig.installer.swing.impl.DefaultSwingInstallerManager;
 import org.gvsig.installer.swing.impl.execution.panel.filters.AllFilter;
 import org.gvsig.installer.swing.impl.execution.panel.filters.CategoryFilter;
-import org.gvsig.installer.swing.impl.execution.panel.filters.PackageFilter;
+import org.gvsig.installer.swing.api.execution.PackageFilter;
 import org.gvsig.installer.swing.impl.execution.panel.filters.TypeFilter;
 
 /**
@@ -57,9 +57,9 @@
 
 	private static final long serialVersionUID = 3767011079359743742L;
 
-	public enum PropertiesFilter {
-		CATEGORIES, TYPES
-	}
+//	public enum PropertiesFilter {
+//		CATEGORIES, TYPES
+//	}
 
 	private PackagesTablePanel packagesTablePanel;
 
@@ -69,6 +69,7 @@
 	private DefaultListModel model = null;
 
 	private DefaultSwingInstallerManager manager;
+    private JButton typesButton;
 
 	public PackagePropertiesFilterPanel(PackagesTablePanel packagesTablePanel) {
 		this.packagesTablePanel = packagesTablePanel;
@@ -91,9 +92,9 @@
 		categoriesButton.setActionCommand("categories");
 		categoriesButton.addActionListener(this);
 
-		JButton typesButton = new JButton(manager.getText("_types"));
-		typesButton.setActionCommand("types");
-		typesButton.addActionListener(this);
+		this.typesButton = new JButton(manager.getText("_types"));
+		this.typesButton.setActionCommand("types");
+		this.typesButton.addActionListener(this);
 
 		this.setLayout(new GridBagLayout());
 
@@ -165,6 +166,10 @@
 		}
 	}
 
+        void setEnabledTypeFilter(boolean enabled) {
+            this.typesButton.setEnabled(enabled);
+        }
+
 	private class MyMouseListener implements MouseListener {
 
 		public void mouseClicked(MouseEvent e) {
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/SelectPackagesPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/SelectPackagesPanel.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/SelectPackagesPanel.java	(revision 43126)
@@ -3,29 +3,27 @@
  *
  * Copyright (C) 2007-2013 gvSIG Association.
  *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 3
- * of the License, or (at your option) any later version.
+ * This program is free software; you can redistribute it and/or modify it under
+ * the terms of the GNU General Public License as published by the Free Software
+ * Foundation; either version 3 of the License, or (at your option) any later
+ * version.
  *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+ * details.
  *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
- * MA  02110-1301, USA.
+ * You should have received a copy of the GNU General Public License along with
+ * this program; if not, write to the Free Software Foundation, Inc., 51
+ * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  *
- * For any additional information, do not hesitate to contact us
- * at info AT gvsig.com, or visit our website www.gvsig.com.
+ * For any additional information, do not hesitate to contact us at info AT
+ * gvsig.com, or visit our website www.gvsig.com.
  */
 /*
  * AUTHORS (In addition to CIT):
  * 2010 {Prodevelop}   {Task}
  */
-
 package org.gvsig.installer.swing.impl.execution.panel;
 
 import java.awt.BorderLayout;
@@ -33,14 +31,16 @@
 import java.util.List;
 
 import javax.swing.JPanel;
+import org.apache.commons.lang3.StringUtils;
 
 import org.gvsig.installer.lib.api.PackageInfo;
 import org.gvsig.installer.lib.api.execution.InstallPackageService;
 import org.gvsig.installer.swing.api.SwingInstallerLocator;
+import org.gvsig.installer.swing.api.execution.PackageFilter;
 import org.gvsig.installer.swing.impl.DefaultSwingInstallerManager;
-import org.gvsig.installer.swing.impl.execution.DefaultInstallPackageWizard;
+import org.gvsig.installer.swing.impl.execution.panel.filters.TypeFilter;
 import org.gvsig.installer.swing.impl.execution.panel.model.PackagesTableModel;
-import org.gvsig.installer.swing.impl.execution.wizard.SelectPackagesWizard;
+import org.gvsig.installer.swing.impl.execution.wizard.SelectPackagesWizardPage;
 
 /**
  * @author gvSIG Team
@@ -48,103 +48,107 @@
  */
 public class SelectPackagesPanel extends JPanel {
 
-	private SelectPackagesWizard wizard;
-	private static final long serialVersionUID = -7554097983061858479L;
-	protected DefaultSwingInstallerManager swingInstallerManager = null;
-	private PackagesTablePanel packagesTablePanel;
+    private SelectPackagesWizardPage wizard;
+    private static final long serialVersionUID = -7554097983061858479L;
+    protected DefaultSwingInstallerManager swingInstallerManager = null;
+    private PackagesTablePanel packagesTablePanel;
 
-	private PackagesTableModel pluginsTableModel = null;
+    private PackagesTableModel pluginsTableModel = null;
 
-	public SelectPackagesPanel(SelectPackagesWizard selectPackagesWizard) {
-		super();
-		this.wizard = selectPackagesWizard;
-		swingInstallerManager = (DefaultSwingInstallerManager) SwingInstallerLocator
-				.getSwingInstallerManager();
-		initComponents();
-	}
+    public SelectPackagesPanel(SelectPackagesWizardPage selectPackagesWizard) {
+        super();
+        this.wizard = selectPackagesWizard;
+        swingInstallerManager = (DefaultSwingInstallerManager) SwingInstallerLocator
+                .getSwingInstallerManager();
+        initComponents();
+    }
 
-	public JPanel getJPanel() {
-		return this;
-	}
+    public JPanel getJPanel() {
+        return this;
+    }
 
-	public void updateTableModel(PackagesTableModel pluginsTableModel) {
-		packagesTablePanel.setTableModel(pluginsTableModel);
-		add(packagesTablePanel, BorderLayout.CENTER);
-	}
+    public void updateTableModel(PackagesTableModel pluginsTableModel) {
+        packagesTablePanel.setTableModel(pluginsTableModel);
+        add(packagesTablePanel, BorderLayout.CENTER);
+    }
 
-	public void selectPackages() {
-		packagesTablePanel.selectPackages();
-	}
+    public void selectPackages() {
+        packagesTablePanel.selectPackages();
+    }
 
-	private void initComponents() {
-		setLayout(new BorderLayout(0, 0));
+    private void initComponents() {
+        setLayout(new BorderLayout(0, 0));
 
-		packagesTablePanel = new PackagesTablePanel(this);
-		add(packagesTablePanel, BorderLayout.CENTER);
-	}
+        packagesTablePanel = new PackagesTablePanel(this);
+        add(packagesTablePanel, BorderLayout.CENTER);
+    }
 
-	public List<PackageInfo> getPackagesToInstall() {
+    public List<PackageInfo> getPackagesToInstall() {
 
-		List<PackageInfo> packages = packagesTablePanel.getPackagesToInstall();
+        List<PackageInfo> packages = packagesTablePanel.getPackagesToInstall();
 
-		List<PackageInfo> packagesToInstall = new ArrayList<PackageInfo>();
-		packagesToInstall.addAll(packages);
-		return packagesToInstall;
-	}
+        List<PackageInfo> packagesToInstall = new ArrayList<PackageInfo>();
+        packagesToInstall.addAll(packages);
+        return packagesToInstall;
+    }
 
-	public boolean isPackageSelected() {
-		return packagesTablePanel.isPackageSelected();
-	}
+    public boolean isPackageSelected() {
+        return packagesTablePanel.isPackageSelected();
+    }
 
-	public void checkIfPluginSelected() {
-		wizard.checkIfPluginSelected();
-	}
+    public void checkIfPluginSelected() {
+        wizard.checkIfPluginSelected();
+    }
 
-	public void packageSelectionChanged(Object value, int row, int column) {
-	}
+    public void packageSelectionChanged(Object value, int row, int column) {
+    }
 
-	public void updatePanel() {
+    public void updatePanel() {
 
-		InstallPackageService installerExecutionService = wizard
-				.getDefaultInstallPackageWizard()
-				.getInstallerExecutionService();
+        InstallPackageService installerExecutionService = wizard
+                .getWizardPanel()
+                .getInstallerExecutionService();
 
-		if (pluginsTableModel == null) {
-			pluginsTableModel = new PackagesTableModel(swingInstallerManager,
-					installerExecutionService, true);
-		}
-		pluginsTableModel.updatePackages();
+        if (pluginsTableModel == null) {
+            pluginsTableModel = new PackagesTableModel(swingInstallerManager,
+                    installerExecutionService, true);
+        }
+        pluginsTableModel.updatePackages();
 
-		updateTableModel(pluginsTableModel);
+        updateTableModel(pluginsTableModel);
 
-		if (wizard.isDefaultPackagesSelectionSet()) {
-			pluginsTableModel.selectDefaultPackages();
-		}
-		
-		
-		
-		
+        if (wizard.isDefaultPackagesSelectionSet()) {
+            pluginsTableModel.selectDefaultPackages();
+        }
 
-	}
+    }
 
-	public DefaultInstallPackageWizard getDefaultInstallPackageWizard() {
-		return wizard.getDefaultInstallPackageWizard();
-	}
+    public PackagesTableModel getModel() {
+        return this.pluginsTableModel;
+    }
 
-	public PackagesTableModel getModel() {
-		return this.pluginsTableModel;
-	}
+    public void clearPanel() {
+        packagesTablePanel.clearAllPanels();
+    }
 
-	public void clearPanel() {
-		packagesTablePanel.clearAllPanels();
-	}
-
     /**
-     * 
+     *
      */
     public void setInitialFilter() {
         packagesTablePanel.setInitialFilter();
-        
+
     }
 
+    public void setBaseFilter(PackageFilter filter) {
+        if (filter == null) {
+            this.packagesTablePanel.setBaseFilter(null);
+            this.packagesTablePanel.setEnabledTypeFilter(true);
+        } else {
+            this.packagesTablePanel.setBaseFilter(filter);
+            if (filter instanceof TypeFilter) {
+                this.packagesTablePanel.setEnabledTypeFilter(false);
+            }
+        }
+    }
+
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/model/PackagesTableModel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/model/PackagesTableModel.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/execution/panel/model/PackagesTableModel.java	(revision 43126)
@@ -49,7 +49,7 @@
 import org.gvsig.installer.lib.api.execution.InstallPackageService;
 import org.gvsig.installer.swing.api.SwingInstallerManager;
 import org.gvsig.installer.swing.impl.execution.panel.filters.NameDescriptionOrCodeFilter;
-import org.gvsig.installer.swing.impl.execution.panel.filters.PackageFilter;
+import org.gvsig.installer.swing.api.execution.PackageFilter;
 import org.gvsig.tools.packageutils.PackageManager;
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
